GNU bug report logs - #49253
27.2; Emacs non-responsive when pasting into terminal-mode

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Matt Bisson <bisson.m@HIDDEN>; Keywords: moreinfo; dated Mon, 28 Jun 2021 15:23:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 49253 <at> debbugs.gnu.org:


Received: (at 49253) by debbugs.gnu.org; 16 Jul 2022 12:21:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 16 08:21:54 2022
Received: from localhost ([127.0.0.1]:43156 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oCgny-00016N-Jy
	for submit <at> debbugs.gnu.org; Sat, 16 Jul 2022 08:21:54 -0400
Received: from quimby.gnus.org ([95.216.78.240]:57158)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oCgnw-000169-8w
 for 49253 <at> debbugs.gnu.org; Sat, 16 Jul 2022 08:21:52 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=v3lCu9g1nNsj2iIIeuO8o93jIDYAC5x+EqPMbo2cmzY=; b=tOATF5Q9xMVG3w6SoWZ+icQZ+J
 +MJ/UJhiCKSEzmBPIJTc6K8WtCWQYmfHItTxIZF2S7y2JeVoocD841RhojAdIs8dcPY72kOF/PDrY
 r9dbFAed1LP8kQtbhkF6Gu4ea3A7QgFA412tNEDCLLjoYapIbgn98Z8FfapgP7PtwWZo=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oCgnn-0001wE-PX; Sat, 16 Jul 2022 14:21:46 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Matt Bisson <bisson.m@HIDDEN>
Subject: Re: bug#49253: 27.2; Emacs non-responsive when pasting into
 terminal-mode
In-Reply-To: <CAFbUcw+GZjmRXdZRQv8AMjyTaemRfMbbLKKGCSc8O8qJMZ0xgw@HIDDEN>
 (Matt Bisson's message of "Mon, 28 Jun 2021 10:28:59 -0400")
References: <CAFbUcw+GZjmRXdZRQv8AMjyTaemRfMbbLKKGCSc8O8qJMZ0xgw@HIDDEN>
X-Now-Playing: Xeno & Oaklander's _Vi-deo_: "Movie Star"
Date: Sat, 16 Jul 2022 14:21:43 +0200
Message-ID: <87r12lqmco.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Matt Bisson <bisson.m@HIDDEN> writes: > I have observed
 this behavior from MacOS, with an Emacs running either > locally on MacOS,
 or over SSH (running on Linux). Without any > modifications, a -Q invocation
 causes "xterm--pasted-text: Fa [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 49253
Cc: 49253 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Matt Bisson <bisson.m@HIDDEN> writes:

> I have observed this behavior from MacOS, with an Emacs running either
> locally on MacOS, or over SSH (running on Linux).  Without any
> modifications, a -Q invocation causes "xterm--pasted-text: Failed
> select: Invalid argument", but without -Q it simply hangs.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

Are you still seeing this problem in recent Emacs versions?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#49253; Package emacs. Full text available.

Message received at 49253 <at> debbugs.gnu.org:


Received: (at 49253) by debbugs.gnu.org; 29 Jun 2021 15:06:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 29 11:06:33 2021
Received: from localhost ([127.0.0.1]:55136 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lyFJp-00081U-MN
	for submit <at> debbugs.gnu.org; Tue, 29 Jun 2021 11:06:33 -0400
Received: from mail-lj1-f169.google.com ([209.85.208.169]:43880)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bisson.m@HIDDEN>) id 1lyFJn-00081E-PN
 for 49253 <at> debbugs.gnu.org; Tue, 29 Jun 2021 11:06:32 -0400
Received: by mail-lj1-f169.google.com with SMTP id f13so31535149ljp.10
 for <49253 <at> debbugs.gnu.org>; Tue, 29 Jun 2021 08:06:31 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=JldTJavB+pRarfLSaCqnk4WuKXMtUDk+dtXIYT5Lvqs=;
 b=OGr7Vplyi0GDEEfObZ9gQ5N9nVslVxY12kL1Z1gJEqsw6dc5996uEUnFZoq82xhbsg
 QeJ/GK1TsE/LrkJRGd0/OvPc9vTfnheTNNHK2JybrYWoET7gMoXfYSm02EnZG+kzcDW6
 AnW+E/ncBKoQjlQV44QmWBXlXOkYbNq9u/25+W5udiFzyYuehjhpOymQXgjAFcT9wQnm
 lJfn4s/VxZ4YdNCw+ppp6PNYHrFEdHhZ6Ab5J+KpJlauJS1agGsDnuAPUSp8HIKTb+Ai
 w5CWw5/49K9D7EQGF345fwD2DZi8nXFEPGYyuA0QWsyUwH3/v4ijeVNftUIjPiI57bSQ
 1Sdw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=JldTJavB+pRarfLSaCqnk4WuKXMtUDk+dtXIYT5Lvqs=;
 b=HXOxVc7YZ2H18NTiY2sS+wgS/9MZ6guiqdzkhY0/TaIMavFqrIXw9gmsZPTimien9g
 +EDitdDa41Gg5FXLCXZQo72WiPI/Ok5E9QeVL1up5/V1HnckFY4I7+WLUWAaIzoBB7Iw
 K4d4MLtZgm2Mh65IrETssSnZ33vETdWDH0dJnDOM2Oo83bYBJ3sxI4xmTCbrnkjE2jTv
 vMib5N/aU46guZ/p+V3in9ax+7xzeoCxPH1H9bKN+aYKjGxMcTvzzsNfCsrRWQctukGT
 KrT4CPe7p7yum0OhRnexoN4Tcux1Ti4o285cmqseEe/CZSCjt3zvo5I51nhltcs+U+uh
 xJjA==
X-Gm-Message-State: AOAM530hPaJMi8rmXkUYc6pJe4ys5BCT0lfQFBcyEkFs7qMDwYoCCmxX
 rpy/wHAkX+2BBGe566cVyDhaGQOqE4S8LADIgfM=
X-Google-Smtp-Source: ABdhPJxrcrWGHVabiAyMSFz7mpW9Jj9h0aegYUe9T4QUgG86BkhyzN6o7dOieIkjUm+cO87QpqytJqfSasL/70GGztI=
X-Received: by 2002:a2e:2f14:: with SMTP id v20mr4393657ljv.363.1624979185700; 
 Tue, 29 Jun 2021 08:06:25 -0700 (PDT)
MIME-Version: 1.0
References: <CAFbUcw+GZjmRXdZRQv8AMjyTaemRfMbbLKKGCSc8O8qJMZ0xgw@HIDDEN>
 <83zgvand0j.fsf@HIDDEN>
 <CAFbUcwLUdPCe_6nM=pVSEkDsoQbKVHL8XmeTWN-3Z1H4h1mcRA@HIDDEN>
 <83wnqdoq6t.fsf@HIDDEN>
 <CAFbUcwJ45tz-qpqLuXvOhLx3ATTZf1OTGPLfk=NZr1hrH8Q_iA@HIDDEN>
 <83tulhoon5.fsf@HIDDEN>
 <CAFbUcw+=CGuyQAmz581SmM2mTaA6dqs6vHX29H54Jq=XRjULaQ@HIDDEN>
 <83sg11omxc.fsf@HIDDEN>
 <CAFbUcw+xPzXiQSb+w6EgfJAC4cjK1S5joDjdB8Ob5PueVeY1qA@HIDDEN>
 <83lf6soort.fsf@HIDDEN>
In-Reply-To: <83lf6soort.fsf@HIDDEN>
From: Matt Bisson <bisson.m@HIDDEN>
Date: Tue, 29 Jun 2021 11:06:14 -0400
Message-ID: <CAFbUcwJ_ZN7w9SVRGnWLyFBgZVoopJkcwwYnB3cv3n_SHYcjxA@HIDDEN>
Subject: Re: bug#49253: 27.2;
 Emacs non-responsive when pasting into terminal-mode
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 49253
Cc: 49253 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Ah, I didn't think about just term-line-mode.  I'd have expected it to
work, and indeed it does.  No problems in that mode.

I'm still working on debugging, fwiw (not a lot of time today).  My
ToT emacs repo wasn't building.

On Tue, Jun 29, 2021 at 8:09 AM Eli Zaretskii <eliz@HIDDEN> wrote:
>
> > From: Matt Bisson <bisson.m@HIDDEN>
> > Date: Mon, 28 Jun 2021 16:09:24 -0400
> > Cc: 49253 <at> debbugs.gnu.org
> >
> > 1. Start "emacs -nw" <ret>
> > 2. M-x term <ret> <ret>
> > 3. In another application (for the purposes of "exact keystroke, let's
> > say, Alt-TAB to Firefox"), copy some text into the clipboard, it
> > doesn't matter what.
> > 4. Return to the Emacs session (click on the Terminal emulator,
> > Alt-TAB, whatever*), and paste into the terminal (I used Command-V).
> > 4* To be clear, return the cursor to the term-mode buffer (e.g., C-b
> > *terminal* <ret>).
>
> Maybe term-mode is simply incompatible with bracketed-paste feature
> (because they both call low-level keyboard input functions)?
>
> Does the problem go away if you switch to term-line-mode?  If not, my
> suggestion is to disable the bracketed-paste support.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#49253; Package emacs. Full text available.

Message received at 49253 <at> debbugs.gnu.org:


Received: (at 49253) by debbugs.gnu.org; 29 Jun 2021 12:10:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 29 08:10:03 2021
Received: from localhost ([127.0.0.1]:53803 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lyCZ1-0003QW-Ix
	for submit <at> debbugs.gnu.org; Tue, 29 Jun 2021 08:10:03 -0400
Received: from eggs.gnu.org ([209.51.188.92]:52798)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lyCYz-0003Pj-SU
 for 49253 <at> debbugs.gnu.org; Tue, 29 Jun 2021 08:10:02 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:51840)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lyCYu-0007CK-Nq; Tue, 29 Jun 2021 08:09:56 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:1669
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1lyCYu-0005RG-Br; Tue, 29 Jun 2021 08:09:56 -0400
Date: Tue, 29 Jun 2021 15:09:58 +0300
Message-Id: <83lf6soort.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Matt Bisson <bisson.m@HIDDEN>
In-Reply-To: <CAFbUcw+xPzXiQSb+w6EgfJAC4cjK1S5joDjdB8Ob5PueVeY1qA@HIDDEN>
 (message from Matt Bisson on Mon, 28 Jun 2021 16:09:24 -0400)
Subject: Re: bug#49253: 27.2;
 Emacs non-responsive when pasting into terminal-mode
References: <CAFbUcw+GZjmRXdZRQv8AMjyTaemRfMbbLKKGCSc8O8qJMZ0xgw@HIDDEN>
 <83zgvand0j.fsf@HIDDEN>
 <CAFbUcwLUdPCe_6nM=pVSEkDsoQbKVHL8XmeTWN-3Z1H4h1mcRA@HIDDEN>
 <83wnqdoq6t.fsf@HIDDEN>
 <CAFbUcwJ45tz-qpqLuXvOhLx3ATTZf1OTGPLfk=NZr1hrH8Q_iA@HIDDEN>
 <83tulhoon5.fsf@HIDDEN>
 <CAFbUcw+=CGuyQAmz581SmM2mTaA6dqs6vHX29H54Jq=XRjULaQ@HIDDEN>
 <83sg11omxc.fsf@HIDDEN>
 <CAFbUcw+xPzXiQSb+w6EgfJAC4cjK1S5joDjdB8Ob5PueVeY1qA@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 49253
Cc: 49253 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Matt Bisson <bisson.m@HIDDEN>
> Date: Mon, 28 Jun 2021 16:09:24 -0400
> Cc: 49253 <at> debbugs.gnu.org
> 
> 1. Start "emacs -nw" <ret>
> 2. M-x term <ret> <ret>
> 3. In another application (for the purposes of "exact keystroke, let's
> say, Alt-TAB to Firefox"), copy some text into the clipboard, it
> doesn't matter what.
> 4. Return to the Emacs session (click on the Terminal emulator,
> Alt-TAB, whatever*), and paste into the terminal (I used Command-V).
> 4* To be clear, return the cursor to the term-mode buffer (e.g., C-b
> *terminal* <ret>).

Maybe term-mode is simply incompatible with bracketed-paste feature
(because they both call low-level keyboard input functions)?

Does the problem go away if you switch to term-line-mode?  If not, my
suggestion is to disable the bracketed-paste support.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#49253; Package emacs. Full text available.

Message received at 49253 <at> debbugs.gnu.org:


Received: (at 49253) by debbugs.gnu.org; 28 Jun 2021 20:09:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 28 16:09:46 2021
Received: from localhost ([127.0.0.1]:52800 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lxxZi-0005FT-AT
	for submit <at> debbugs.gnu.org; Mon, 28 Jun 2021 16:09:46 -0400
Received: from mail-lf1-f51.google.com ([209.85.167.51]:38405)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bisson.m@HIDDEN>) id 1lxxZf-0005Ey-6K
 for 49253 <at> debbugs.gnu.org; Mon, 28 Jun 2021 16:09:44 -0400
Received: by mail-lf1-f51.google.com with SMTP id w19so6262649lfk.5
 for <49253 <at> debbugs.gnu.org>; Mon, 28 Jun 2021 13:09:43 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=cNFDofzihGaObOfHqqJ2HVpNlUxkNtFjsMxugxmx4xc=;
 b=qRntzue0mpRRJsIGYf+6MMXKUkRu7OLizX/7vaO6aJOxZVvSETlsZll4t0Zjbb/sYG
 N5S60YXHeshbClwpLokiVUYE96G/lF8Bjd2tnyG/RZrBgSdYqyt5I5n9h801HJncZSRk
 6TfTgFv7FOZPdrUz1xVX1AHey+DGX5fR3n4OSbxL4s7+qR1rH2udr81nDBIEvs40++OU
 GOY8l5mC/AzgEFw3MKKZCT6ICRe9Md9aLq9KLA7FLzqMSQrEReeGRYzl4FyneUoyD2Hj
 DT3kfGRkPph5ZPI2hgMNpZ1cDjm3AaiZrGdgZj0OXeyFMjW/RVpp7ktihVY8bmLUz8KW
 cGNg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=cNFDofzihGaObOfHqqJ2HVpNlUxkNtFjsMxugxmx4xc=;
 b=G0nNRZsMTJHfcrdfHA7DwkXPP1Y4BPm3SqbJrCuKnyYQCLttRzfVosps3InQJXgejn
 3XFq18uo6qHeC4MmxIip2m+4OdpwiyPRstyTO9hUikt6UAQPojt1cInPgbAtiMGIiIcb
 yFQDdiujLmqF2SHfuGyzM7lluCCLtp/6TcyKYf2hMaClrxEMR97ya9owlYaESEAzEq3a
 95GqUCT0quT3sbMCx6qTgfEGghMQI0VN+t8XmI1vK9WdtkLc0KMdwOrKei4wt3mrrCEW
 51SzNcxzUShszLaBMB2t94AV9sjfOxFwA6d3crqKSsMVREo05nEwse6rM0FLdknM0mqi
 /CdA==
X-Gm-Message-State: AOAM5331gUEc+yVX2Y1lSi9wOlGZfJp0rqDADR7+wbZSsFayNDu3yzpD
 RvpGCLau7IU6j/iGNKcwkxwF2hsynqRZFuo9w9E=
X-Google-Smtp-Source: ABdhPJwRCaHg/Jt8mz6zQ4YOQv7wSrjA042JZtKAwnaB4Dt0+Uvid+ukG4tOqOc1LAp302Ff8TeoMdfESDwCFEL0iVc=
X-Received: by 2002:a19:4f07:: with SMTP id d7mr20628844lfb.447.1624910975618; 
 Mon, 28 Jun 2021 13:09:35 -0700 (PDT)
MIME-Version: 1.0
References: <CAFbUcw+GZjmRXdZRQv8AMjyTaemRfMbbLKKGCSc8O8qJMZ0xgw@HIDDEN>
 <83zgvand0j.fsf@HIDDEN>
 <CAFbUcwLUdPCe_6nM=pVSEkDsoQbKVHL8XmeTWN-3Z1H4h1mcRA@HIDDEN>
 <83wnqdoq6t.fsf@HIDDEN>
 <CAFbUcwJ45tz-qpqLuXvOhLx3ATTZf1OTGPLfk=NZr1hrH8Q_iA@HIDDEN>
 <83tulhoon5.fsf@HIDDEN>
 <CAFbUcw+=CGuyQAmz581SmM2mTaA6dqs6vHX29H54Jq=XRjULaQ@HIDDEN>
 <83sg11omxc.fsf@HIDDEN>
In-Reply-To: <83sg11omxc.fsf@HIDDEN>
From: Matt Bisson <bisson.m@HIDDEN>
Date: Mon, 28 Jun 2021 16:09:24 -0400
Message-ID: <CAFbUcw+xPzXiQSb+w6EgfJAC4cjK1S5joDjdB8Ob5PueVeY1qA@HIDDEN>
Subject: Re: bug#49253: 27.2;
 Emacs non-responsive when pasting into terminal-mode
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 49253
Cc: 49253 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

That's described in the initial report.  I see it's called "term-mode"
not "terminal-mode" which was a brain-fart on my part.  The steps
(term-mode in step 2):

1. Start "emacs -nw" <ret>
2. M-x term <ret> <ret>
3. In another application (for the purposes of "exact keystroke, let's
say, Alt-TAB to Firefox"), copy some text into the clipboard, it
doesn't matter what.
4. Return to the Emacs session (click on the Terminal emulator,
Alt-TAB, whatever*), and paste into the terminal (I used Command-V).
4* To be clear, return the cursor to the term-mode buffer (e.g., C-b
*terminal* <ret>).

Inject any mount of delays or operations between steps 1, 2, 3, and 4.
The bug essentially is "if you ever paste into term-mode buffers, you
lose.




On Mon, Jun 28, 2021 at 2:37 PM Eli Zaretskii <eliz@HIDDEN> wrote:
>
> > From: Matt Bisson <bisson.m@HIDDEN>
> > Date: Mon, 28 Jun 2021 14:11:56 -0400
> > Cc: 49253 <at> debbugs.gnu.org
> >
> > No.  (Unless I'm misunderstanding what you're asking) the problem can
> > occur at any time.  It's in response to simply pasting from the
> > clipboard into a terminal application.  I can start Emacs, run for
> > days normally -- using terminal-mode, editing files, and so forth.
> > The second I go into the terminal-mode buffer and paste from the
> > (Windows, Mac, whatever) clipboard (NOT using the Emacs yank command),
> > the problem happens.
>
> Wait a minute: what do you mean by "terminal-mode buffer" into which
> you need to go?  More generally, can you describe a detailed recipe
> for reproducing the problem on your system, keystroke by keystroke?
>
> > > No, it's the other way around: you start Emacs from GDB.  There are
> > > some instructions in etc/DEBUG.
> >
> > Yes, I do know that's what you mean :) but it's not as if Emacs is
> > going to crash, and stop in the debugger.
>
> You are investigating the error message saying "Failed select".
> Search the *.c files for that text, and you will find only 3 instances
> of it.  Put a breakpoint in all these 3 places, then do whatever it
> takes to reproduce the problem, and you will be able to collect the
> information I asked about.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#49253; Package emacs. Full text available.

Message received at 49253 <at> debbugs.gnu.org:


Received: (at 49253) by debbugs.gnu.org; 28 Jun 2021 18:37:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 28 14:37:50 2021
Received: from localhost ([127.0.0.1]:52517 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lxw8k-0002tj-Db
	for submit <at> debbugs.gnu.org; Mon, 28 Jun 2021 14:37:50 -0400
Received: from eggs.gnu.org ([209.51.188.92]:60056)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lxw8h-0002tW-Pl
 for 49253 <at> debbugs.gnu.org; Mon, 28 Jun 2021 14:37:48 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:48324)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lxw8c-0008As-FW; Mon, 28 Jun 2021 14:37:42 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:4821
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1lxw8c-00052z-3U; Mon, 28 Jun 2021 14:37:42 -0400
Date: Mon, 28 Jun 2021 21:37:35 +0300
Message-Id: <83sg11omxc.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Matt Bisson <bisson.m@HIDDEN>
In-Reply-To: <CAFbUcw+=CGuyQAmz581SmM2mTaA6dqs6vHX29H54Jq=XRjULaQ@HIDDEN>
 (message from Matt Bisson on Mon, 28 Jun 2021 14:11:56 -0400)
Subject: Re: bug#49253: 27.2;
 Emacs non-responsive when pasting into terminal-mode
References: <CAFbUcw+GZjmRXdZRQv8AMjyTaemRfMbbLKKGCSc8O8qJMZ0xgw@HIDDEN>
 <83zgvand0j.fsf@HIDDEN>
 <CAFbUcwLUdPCe_6nM=pVSEkDsoQbKVHL8XmeTWN-3Z1H4h1mcRA@HIDDEN>
 <83wnqdoq6t.fsf@HIDDEN>
 <CAFbUcwJ45tz-qpqLuXvOhLx3ATTZf1OTGPLfk=NZr1hrH8Q_iA@HIDDEN>
 <83tulhoon5.fsf@HIDDEN>
 <CAFbUcw+=CGuyQAmz581SmM2mTaA6dqs6vHX29H54Jq=XRjULaQ@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 49253
Cc: 49253 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Matt Bisson <bisson.m@HIDDEN>
> Date: Mon, 28 Jun 2021 14:11:56 -0400
> Cc: 49253 <at> debbugs.gnu.org
> 
> No.  (Unless I'm misunderstanding what you're asking) the problem can
> occur at any time.  It's in response to simply pasting from the
> clipboard into a terminal application.  I can start Emacs, run for
> days normally -- using terminal-mode, editing files, and so forth.
> The second I go into the terminal-mode buffer and paste from the
> (Windows, Mac, whatever) clipboard (NOT using the Emacs yank command),
> the problem happens.

Wait a minute: what do you mean by "terminal-mode buffer" into which
you need to go?  More generally, can you describe a detailed recipe
for reproducing the problem on your system, keystroke by keystroke?

> > No, it's the other way around: you start Emacs from GDB.  There are
> > some instructions in etc/DEBUG.
> 
> Yes, I do know that's what you mean :) but it's not as if Emacs is
> going to crash, and stop in the debugger.

You are investigating the error message saying "Failed select".
Search the *.c files for that text, and you will find only 3 instances
of it.  Put a breakpoint in all these 3 places, then do whatever it
takes to reproduce the problem, and you will be able to collect the
information I asked about.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#49253; Package emacs. Full text available.

Message received at 49253 <at> debbugs.gnu.org:


Received: (at 49253) by debbugs.gnu.org; 28 Jun 2021 18:12:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 28 14:12:18 2021
Received: from localhost ([127.0.0.1]:52474 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lxvk2-0008V0-BJ
	for submit <at> debbugs.gnu.org; Mon, 28 Jun 2021 14:12:18 -0400
Received: from mail-lf1-f41.google.com ([209.85.167.41]:38747)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bisson.m@HIDDEN>) id 1lxvjy-0008Uk-27
 for 49253 <at> debbugs.gnu.org; Mon, 28 Jun 2021 14:12:17 -0400
Received: by mail-lf1-f41.google.com with SMTP id w19so5639733lfk.5
 for <49253 <at> debbugs.gnu.org>; Mon, 28 Jun 2021 11:12:14 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=SUrrXjX6strQct2oEbORCvjWLVVLV07h6kqv01XNeQw=;
 b=EeUozzBkffnLu7JDBFg6GV4C1z0F1Eu1r03y2MNLXF25TXd7ZmJd4E1LMU+WGB0OPs
 JopIy46EniYX49HinzxJaEzxneovqbwFlmOTiApc/FvdGmgkLokTRNNBfwFTzCKUyCWm
 Zs48Aymf0VJAJi7zAHa9rq3GhUfmiJ3fk3ROfteAnwYPivj9E2rb+rOFTBOuOIYG6ErI
 0ewx3p7ELJmTbTNp8Vw+uz8NeqkBvrPmM+Mj7IZ+wE64I8ld8PmLxx6LIYM/xPeWQ46R
 wKc5T1DMaxhq07G64IaPYJysi3hR5P2X/QXIqcFLM1kIxyJ1zCEiKC+bs/F5pPvhS7OH
 W4cQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=SUrrXjX6strQct2oEbORCvjWLVVLV07h6kqv01XNeQw=;
 b=T+JNBoQ0ndP/FmZrqSn4YcxaP0QsSmSzKJATjzT+vaW2gQq22Iy7qWQAnYn+A1qFvk
 HJN4NlOhYbFVjsKma/sMYUNPnFzSdLkeRP0WVp5KqwOI5zden3v21ujk+cEvRmb907kn
 uddC45swNbd60sCDemxMAHh6e+me7zin2xRXjwdySJSHBcyjdz4S050I1y0EY68q+P7W
 00anbamnyivxCg6Gi2FzyuvydfI5++rZqdn0mFKfjRLMHu9HjAP3Rzt2dncQl8pFPFXV
 4OCXxLK+OXshf7YLh+exMV8H4bkHe5b9hF6FdZvGXkb+b/vLv6qdExWGrYtpzec4QXj6
 oUOg==
X-Gm-Message-State: AOAM531BD86RYavJHPfCCD5AW6uJ6jBnIhpo6S6Gee6lvcpF06Kg3Qdf
 UK3QLNSc8RGkLvdmD3O/g3dNszA5U0lO29mMo1w6Vj1aIsM=
X-Google-Smtp-Source: ABdhPJzu2jbAKL/iXu3wBouXBT0jqzemUeYgX4mfUp/cu3oZ/mkZbPHKXN7KfoEhZevUZS9VmbQ/UxxHmuuNiH6uHNA=
X-Received: by 2002:a19:ae11:: with SMTP id f17mr19567538lfc.198.1624903927894; 
 Mon, 28 Jun 2021 11:12:07 -0700 (PDT)
MIME-Version: 1.0
References: <CAFbUcw+GZjmRXdZRQv8AMjyTaemRfMbbLKKGCSc8O8qJMZ0xgw@HIDDEN>
 <83zgvand0j.fsf@HIDDEN>
 <CAFbUcwLUdPCe_6nM=pVSEkDsoQbKVHL8XmeTWN-3Z1H4h1mcRA@HIDDEN>
 <83wnqdoq6t.fsf@HIDDEN>
 <CAFbUcwJ45tz-qpqLuXvOhLx3ATTZf1OTGPLfk=NZr1hrH8Q_iA@HIDDEN>
 <83tulhoon5.fsf@HIDDEN>
In-Reply-To: <83tulhoon5.fsf@HIDDEN>
From: Matt Bisson <bisson.m@HIDDEN>
Date: Mon, 28 Jun 2021 14:11:56 -0400
Message-ID: <CAFbUcw+=CGuyQAmz581SmM2mTaA6dqs6vHX29H54Jq=XRjULaQ@HIDDEN>
Subject: Re: bug#49253: 27.2;
 Emacs non-responsive when pasting into terminal-mode
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 49253
Cc: 49253 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> Some input Emacs gets fed at startup, which it doesn't expect, and
> which looks like a beginning of a paste sequence?  This does happen
> right at startup, yes?

No.  (Unless I'm misunderstanding what you're asking) the problem can
occur at any time.  It's in response to simply pasting from the
clipboard into a terminal application.  I can start Emacs, run for
days normally -- using terminal-mode, editing files, and so forth.
The second I go into the terminal-mode buffer and paste from the
(Windows, Mac, whatever) clipboard (NOT using the Emacs yank command),
the problem happens.  If I never paste from the windowing system into
my terminal emulator, there are not problems, but invariably I find
some huge chunk of text, go to paste it into Emacs, and forget that
this will be a problem, and everything locks up irreversibly.  It is
as if there is some race with multiple parties asking for select(),
but I don't know the Emacs threading model yet.  TBH, I assumed it was
kind of single-threaded. :)

If your statement is more that the beginning of the sequence retrieved
from the xterm paste incantation occurs "at the start", then for that
I will have to debug into GDB, as we talked about.

> No, it's the other way around: you start Emacs from GDB.  There are
> some instructions in etc/DEBUG.

Yes, I do know that's what you mean :) but it's not as if Emacs is
going to crash, and stop in the debugger.  So my question is
basically, what src/*.c line should I set a breakpoint on to observe
the thing you would like me to observe?  If you can't say, that's
perfectly reasonable.  That said, as I type this, I can try to
interrupt Emacs when it's hung and see anything that's going on, but I
believe it will be after the problematic event has occurred.

On Mon, Jun 28, 2021 at 2:00 PM Eli Zaretskii <eliz@HIDDEN> wrote:
>
> > From: Matt Bisson <bisson.m@HIDDEN>
> > Date: Mon, 28 Jun 2021 13:30:19 -0400
> > Cc: 49253 <at> debbugs.gnu.org
> >
> > Looking at the (E-Lisp) function, it's not obvious to me where I
> > should put a (native-code) breakpoint.  Any thought?  Of course I can
> > figure something out, but if you happen to know...
>
> No, it's the other way around: you start Emacs from GDB.  There are
> some instructions in etc/DEBUG.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#49253; Package emacs. Full text available.

Message received at 49253 <at> debbugs.gnu.org:


Received: (at 49253) by debbugs.gnu.org; 28 Jun 2021 18:00:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 28 14:00:41 2021
Received: from localhost ([127.0.0.1]:52468 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lxvYn-0008En-9z
	for submit <at> debbugs.gnu.org; Mon, 28 Jun 2021 14:00:41 -0400
Received: from eggs.gnu.org ([209.51.188.92]:45962)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lxvYm-0008Ea-Dl
 for 49253 <at> debbugs.gnu.org; Mon, 28 Jun 2021 14:00:40 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:47274)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lxvYh-0007kG-4C; Mon, 28 Jun 2021 14:00:35 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:2554
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1lxvYf-00009q-Cr; Mon, 28 Jun 2021 14:00:35 -0400
Date: Mon, 28 Jun 2021 21:00:30 +0300
Message-Id: <83tulhoon5.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Matt Bisson <bisson.m@HIDDEN>
In-Reply-To: <CAFbUcwJ45tz-qpqLuXvOhLx3ATTZf1OTGPLfk=NZr1hrH8Q_iA@HIDDEN>
 (message from Matt Bisson on Mon, 28 Jun 2021 13:30:19 -0400)
Subject: Re: bug#49253: 27.2;
 Emacs non-responsive when pasting into terminal-mode
References: <CAFbUcw+GZjmRXdZRQv8AMjyTaemRfMbbLKKGCSc8O8qJMZ0xgw@HIDDEN>
 <83zgvand0j.fsf@HIDDEN>
 <CAFbUcwLUdPCe_6nM=pVSEkDsoQbKVHL8XmeTWN-3Z1H4h1mcRA@HIDDEN>
 <83wnqdoq6t.fsf@HIDDEN>
 <CAFbUcwJ45tz-qpqLuXvOhLx3ATTZf1OTGPLfk=NZr1hrH8Q_iA@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 49253
Cc: 49253 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Matt Bisson <bisson.m@HIDDEN>
> Date: Mon, 28 Jun 2021 13:30:19 -0400
> Cc: 49253 <at> debbugs.gnu.org
> 
> Looking at the (E-Lisp) function, it's not obvious to me where I
> should put a (native-code) breakpoint.  Any thought?  Of course I can
> figure something out, but if you happen to know...

No, it's the other way around: you start Emacs from GDB.  There are
some instructions in etc/DEBUG.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#49253; Package emacs. Full text available.

Message received at 49253 <at> debbugs.gnu.org:


Received: (at 49253) by debbugs.gnu.org; 28 Jun 2021 17:59:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 28 13:59:58 2021
Received: from localhost ([127.0.0.1]:52464 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lxvY6-0008Bt-0b
	for submit <at> debbugs.gnu.org; Mon, 28 Jun 2021 13:59:58 -0400
Received: from eggs.gnu.org ([209.51.188.92]:45818)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lxvY3-0008Bb-4Z
 for 49253 <at> debbugs.gnu.org; Mon, 28 Jun 2021 13:59:56 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:47240)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lxvXx-00078V-Jj; Mon, 28 Jun 2021 13:59:49 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:2507
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1lxvXx-0007R5-6I; Mon, 28 Jun 2021 13:59:49 -0400
Date: Mon, 28 Jun 2021 20:59:44 +0300
Message-Id: <83v95xooof.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Matt Bisson <bisson.m@HIDDEN>
In-Reply-To: <CAFbUcwKyZWO85qKgdv_KeJau79bLLjhWUGhZFUYxcZ1W3UjAug@HIDDEN>
 (message from Matt Bisson on Mon, 28 Jun 2021 13:34:41 -0400)
Subject: Re: bug#49253: 27.2;
 Emacs non-responsive when pasting into terminal-mode
References: <CAFbUcw+GZjmRXdZRQv8AMjyTaemRfMbbLKKGCSc8O8qJMZ0xgw@HIDDEN>
 <83zgvand0j.fsf@HIDDEN>
 <CAFbUcwLUdPCe_6nM=pVSEkDsoQbKVHL8XmeTWN-3Z1H4h1mcRA@HIDDEN>
 <83wnqdoq6t.fsf@HIDDEN>
 <CAFbUcwJ45tz-qpqLuXvOhLx3ATTZf1OTGPLfk=NZr1hrH8Q_iA@HIDDEN>
 <CAFbUcwKyZWO85qKgdv_KeJau79bLLjhWUGhZFUYxcZ1W3UjAug@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 49253
Cc: 49253 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Matt Bisson <bisson.m@HIDDEN>
> Date: Mon, 28 Jun 2021 13:34:41 -0400
> Cc: 49253 <at> debbugs.gnu.org
> 
> Given that it happens on two different windowing systems, with two
> different terminal emulators, and two different builds of Emacs, and I
> get the error message with "-Q", I'm really not sure what local issue
> that could be

Some input Emacs gets fed at startup, which it doesn't expect, and
which looks like a beginning of a paste sequence?  This does happen
right at startup, yes?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#49253; Package emacs. Full text available.

Message received at 49253 <at> debbugs.gnu.org:


Received: (at 49253) by debbugs.gnu.org; 28 Jun 2021 17:35:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 28 13:35:03 2021
Received: from localhost ([127.0.0.1]:52431 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lxv9z-0007ai-Jk
	for submit <at> debbugs.gnu.org; Mon, 28 Jun 2021 13:35:03 -0400
Received: from mail-lj1-f172.google.com ([209.85.208.172]:39867)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bisson.m@HIDDEN>) id 1lxv9u-0007a8-UH
 for 49253 <at> debbugs.gnu.org; Mon, 28 Jun 2021 13:35:01 -0400
Received: by mail-lj1-f172.google.com with SMTP id c11so26849443ljd.6
 for <49253 <at> debbugs.gnu.org>; Mon, 28 Jun 2021 10:34:58 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=mtVVSKvDRc7XI7iyawO+qrDSm6gRJE3q/b2uuV/6ViU=;
 b=dT7rg7gcI6NLCWXCwIVeIpC2NFJvsJ78igCCMY1TjrQQr+T3BJg5Y18cdYzwxHROTU
 PhM0hapGaqp1YdsUx8IA6bNcw08ygdcLLaeRZhpvEyJ+lfXigyKDN9d1iFqcv9EDImSa
 7YUdsbb2kWB5HWhBFJ6Bx9YNRGSq3vSz0MlDvrvqLPy/8OWaTNTZIBEWeWAA4/D9K0go
 te4pcKXaD1uHmalwNZwSpQQbMUenvLgkKM09zq7dzx7z3gCUGn3wQbPq0s66i03YQEuF
 0yabvUhQ9t2bJASmuuKnFnQdFMVSD82IMPfQG4L3omBPWGXtXZjlBMZakWaREEYn+oyl
 NGRg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=mtVVSKvDRc7XI7iyawO+qrDSm6gRJE3q/b2uuV/6ViU=;
 b=kZiYfbKlZkDTa2PcBpV7dmIrK1jTuqeL3wKetWYQ3Vi1OmazXet3N/ljsJePrH633w
 SlwjZoEKeKtnfZKDOIduPsl3zT9dKdXgDZUXCNKDZiGmBTX8HZH1/h/k36yrHY4Wjuup
 REnu3h4E+e2nrzS5mCeAVK1zcj+WYrSmBu5WpaaMHeoCZE5hmM0yZ2EKiFEVDtdLVdiO
 Gf9r5nUezqjKWEOiHlrnXEwW/BpK8kKg2sTpzMh3bq3hmrJhlMr2DJnRaN3tCcExVOxb
 AQz8CdS9pHI5FNrj8quAEIXSjo7lbYxBvNObbsJR1YZ1wngO2I+hNu6jyXLOM1L0xIOB
 Z09A==
X-Gm-Message-State: AOAM532hR1DJlUrGGAeLJVDhYK9U7pWfbITHdRh0NiBsfp8kWdDyDefK
 JDI3MdboI+c/AvQjhaVno2W6PZMzUAXsWAYtu/VOo5C5
X-Google-Smtp-Source: ABdhPJyHZWzC00AGSaIvOSlqBgxw4DXYlhLK8EzWLJM5PomNIBhZ0rFRbylCf3CaPFd+4dxprFzTqEXp+QbYTuAWu0I=
X-Received: by 2002:a05:651c:1254:: with SMTP id
 h20mr422114ljh.430.1624901693094; 
 Mon, 28 Jun 2021 10:34:53 -0700 (PDT)
MIME-Version: 1.0
References: <CAFbUcw+GZjmRXdZRQv8AMjyTaemRfMbbLKKGCSc8O8qJMZ0xgw@HIDDEN>
 <83zgvand0j.fsf@HIDDEN>
 <CAFbUcwLUdPCe_6nM=pVSEkDsoQbKVHL8XmeTWN-3Z1H4h1mcRA@HIDDEN>
 <83wnqdoq6t.fsf@HIDDEN>
 <CAFbUcwJ45tz-qpqLuXvOhLx3ATTZf1OTGPLfk=NZr1hrH8Q_iA@HIDDEN>
In-Reply-To: <CAFbUcwJ45tz-qpqLuXvOhLx3ATTZf1OTGPLfk=NZr1hrH8Q_iA@HIDDEN>
From: Matt Bisson <bisson.m@HIDDEN>
Date: Mon, 28 Jun 2021 13:34:41 -0400
Message-ID: <CAFbUcwKyZWO85qKgdv_KeJau79bLLjhWUGhZFUYxcZ1W3UjAug@HIDDEN>
Subject: Re: bug#49253: 27.2;
 Emacs non-responsive when pasting into terminal-mode
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 49253
Cc: 49253 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Given that it happens on two different windowing systems, with two
different terminal emulators, and two different builds of Emacs, and I
get the error message with "-Q", I'm really not sure what local issue
that could be, given that there's very little in common between the
two sites -- except Emacs itself.  Again, I will look, but I'm not
sure what your hypothesis is.

On Mon, Jun 28, 2021 at 1:30 PM Matt Bisson <bisson.m@HIDDEN> wrote:
>
> Looking at the (E-Lisp) function, it's not obvious to me where I
> should put a (native-code) breakpoint.  Any thought?  Of course I can
> figure something out, but if you happen to know...
>
> On Mon, Jun 28, 2021 at 1:27 PM Eli Zaretskii <eliz@HIDDEN> wrote:
> >
> > > From: Matt Bisson <bisson.m@HIDDEN>
> > > Date: Mon, 28 Jun 2021 13:18:04 -0400
> > > Cc: 49253 <at> debbugs.gnu.org
> > >
> > > This is the Mac Terminal application that comes out of the box with
> > > MacOS.  It fully supports xterm-256color as the TERM type, and I can
> > > actually paste just fine in other parts of Emacs.  Although I'm having
> > > trouble getting to a Linux terminal emulator these days, I realized
> > > that I do have a machine running WIndows.  I ran the Cygwin terminal
> > > emulator, MinTTY, started (terminal, Cygwin -- i.e., not the Win32
> > > native) Emacs, and it exhibits the same behavior.  Something more
> > > fundamental seems to be going wrong.
> >
> > I think you'll have to run this under GDB and see what kind of
> > "invalid argument" this scenario triggers on your systems.  The same
> > issue on multiple system with several terminal emulators almost always
> > means some local setting problem.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#49253; Package emacs. Full text available.

Message received at 49253 <at> debbugs.gnu.org:


Received: (at 49253) by debbugs.gnu.org; 28 Jun 2021 17:30:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 28 13:30:40 2021
Received: from localhost ([127.0.0.1]:52424 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lxv5j-0007Tb-U1
	for submit <at> debbugs.gnu.org; Mon, 28 Jun 2021 13:30:40 -0400
Received: from mail-lf1-f52.google.com ([209.85.167.52]:33297)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bisson.m@HIDDEN>) id 1lxv5g-0007TJ-JM
 for 49253 <at> debbugs.gnu.org; Mon, 28 Jun 2021 13:30:38 -0400
Received: by mail-lf1-f52.google.com with SMTP id t17so34046777lfq.0
 for <49253 <at> debbugs.gnu.org>; Mon, 28 Jun 2021 10:30:36 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=971IcnG+mBXfxewXpsMtHSZBqou5vfBplEGE6rMGhNQ=;
 b=u1E++HNGXVBxKDusIN9QhStBC9VeRYzfj5fxs1EXxj7jU01W+paTu0gy29kTV3sbii
 Xm+agyodSed2R5EejJi6bh9mdqo7E67lvmaosB7ZGs1PF9y0x8UzUuhnJpB7aafA0K+W
 ztbt2U5GOBCbZ0+h4lv00B9wIEs90GQ5hN+n7MixoimQ4PMM/Y2eoFebfUptgyBNOYYS
 XRXYwiOFdvGXhwU23o+wccORGqP+E8bYm+WtZUI6MQIJA+UhOz6ZKtREDE5gF+cwXrG7
 TbupM9CJVX6gKiZG8b3zNvcJAtKFyoYkzdMSYTuYgVkYd/hRy9hLl3BfkQqsWdINV0+a
 EXCg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=971IcnG+mBXfxewXpsMtHSZBqou5vfBplEGE6rMGhNQ=;
 b=MqLmogWYa9rhmNxc9lE0+S48KOY9Hns3Cl/ZgZ+f6riPzh8n104/9U+yaxlnc053wy
 1U/eD88jxasiOH7kiFYwLoG9IFjM1M3uMYLRV6wkaLYEVQv/Nbz3kKwNqkk8Y2UezYmb
 rDrxIX0YL13dTmew/G0qTh2AGRZN5+p6H6++RBpwTJE506Kno3HPmvF7XWE4xYO1QXCp
 D2JlzdnTB9YQwuGhJeIv2t3TjOaFHMbWSJoZi5sTylSU4xqIaHrzM0dvKrP1mtw5GiwJ
 4iVlvMlxAl+E/cRfPy5pawczBWcSrIVYOgF8AiSW1gtZ3+acRfhOqC1J2Z+ngz/5ySt8
 GDSg==
X-Gm-Message-State: AOAM531HVuEg3Vh+h2KOxcln0ALyXqkxfFC03SnReNmCht7FEd9kqBSZ
 T3UgH0MqkxCkqO6owyPz19cz0GUZsgNIATeugQI=
X-Google-Smtp-Source: ABdhPJyWWok3Fnw3iI4xdtUZUffdDb3TadJwExXquT7yH4SoCRCbkAeuPvGm/V+sbQS0jCgsuimw3PhQOopM1PWfPOw=
X-Received: by 2002:a19:c344:: with SMTP id t65mr19579538lff.134.1624901430414; 
 Mon, 28 Jun 2021 10:30:30 -0700 (PDT)
MIME-Version: 1.0
References: <CAFbUcw+GZjmRXdZRQv8AMjyTaemRfMbbLKKGCSc8O8qJMZ0xgw@HIDDEN>
 <83zgvand0j.fsf@HIDDEN>
 <CAFbUcwLUdPCe_6nM=pVSEkDsoQbKVHL8XmeTWN-3Z1H4h1mcRA@HIDDEN>
 <83wnqdoq6t.fsf@HIDDEN>
In-Reply-To: <83wnqdoq6t.fsf@HIDDEN>
From: Matt Bisson <bisson.m@HIDDEN>
Date: Mon, 28 Jun 2021 13:30:19 -0400
Message-ID: <CAFbUcwJ45tz-qpqLuXvOhLx3ATTZf1OTGPLfk=NZr1hrH8Q_iA@HIDDEN>
Subject: Re: bug#49253: 27.2;
 Emacs non-responsive when pasting into terminal-mode
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 49253
Cc: 49253 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Looking at the (E-Lisp) function, it's not obvious to me where I
should put a (native-code) breakpoint.  Any thought?  Of course I can
figure something out, but if you happen to know...

On Mon, Jun 28, 2021 at 1:27 PM Eli Zaretskii <eliz@HIDDEN> wrote:
>
> > From: Matt Bisson <bisson.m@HIDDEN>
> > Date: Mon, 28 Jun 2021 13:18:04 -0400
> > Cc: 49253 <at> debbugs.gnu.org
> >
> > This is the Mac Terminal application that comes out of the box with
> > MacOS.  It fully supports xterm-256color as the TERM type, and I can
> > actually paste just fine in other parts of Emacs.  Although I'm having
> > trouble getting to a Linux terminal emulator these days, I realized
> > that I do have a machine running WIndows.  I ran the Cygwin terminal
> > emulator, MinTTY, started (terminal, Cygwin -- i.e., not the Win32
> > native) Emacs, and it exhibits the same behavior.  Something more
> > fundamental seems to be going wrong.
>
> I think you'll have to run this under GDB and see what kind of
> "invalid argument" this scenario triggers on your systems.  The same
> issue on multiple system with several terminal emulators almost always
> means some local setting problem.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#49253; Package emacs. Full text available.

Message received at 49253 <at> debbugs.gnu.org:


Received: (at 49253) by debbugs.gnu.org; 28 Jun 2021 17:27:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 28 13:27:15 2021
Received: from localhost ([127.0.0.1]:52416 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lxv2R-0007Mj-Ad
	for submit <at> debbugs.gnu.org; Mon, 28 Jun 2021 13:27:15 -0400
Received: from eggs.gnu.org ([209.51.188.92]:38990)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lxv2P-0007MX-QE
 for 49253 <at> debbugs.gnu.org; Mon, 28 Jun 2021 13:27:14 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:46278)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lxv2K-000264-Jn; Mon, 28 Jun 2021 13:27:08 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:4469
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1lxv2K-0007zx-3q; Mon, 28 Jun 2021 13:27:08 -0400
Date: Mon, 28 Jun 2021 20:27:06 +0300
Message-Id: <83wnqdoq6t.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Matt Bisson <bisson.m@HIDDEN>
In-Reply-To: <CAFbUcwLUdPCe_6nM=pVSEkDsoQbKVHL8XmeTWN-3Z1H4h1mcRA@HIDDEN>
 (message from Matt Bisson on Mon, 28 Jun 2021 13:18:04 -0400)
Subject: Re: bug#49253: 27.2;
 Emacs non-responsive when pasting into terminal-mode
References: <CAFbUcw+GZjmRXdZRQv8AMjyTaemRfMbbLKKGCSc8O8qJMZ0xgw@HIDDEN>
 <83zgvand0j.fsf@HIDDEN>
 <CAFbUcwLUdPCe_6nM=pVSEkDsoQbKVHL8XmeTWN-3Z1H4h1mcRA@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 49253
Cc: 49253 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Matt Bisson <bisson.m@HIDDEN>
> Date: Mon, 28 Jun 2021 13:18:04 -0400
> Cc: 49253 <at> debbugs.gnu.org
> 
> This is the Mac Terminal application that comes out of the box with
> MacOS.  It fully supports xterm-256color as the TERM type, and I can
> actually paste just fine in other parts of Emacs.  Although I'm having
> trouble getting to a Linux terminal emulator these days, I realized
> that I do have a machine running WIndows.  I ran the Cygwin terminal
> emulator, MinTTY, started (terminal, Cygwin -- i.e., not the Win32
> native) Emacs, and it exhibits the same behavior.  Something more
> fundamental seems to be going wrong.

I think you'll have to run this under GDB and see what kind of
"invalid argument" this scenario triggers on your systems.  The same
issue on multiple system with several terminal emulators almost always
means some local setting problem.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#49253; Package emacs. Full text available.

Message received at 49253 <at> debbugs.gnu.org:


Received: (at 49253) by debbugs.gnu.org; 28 Jun 2021 17:18:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 28 13:18:23 2021
Received: from localhost ([127.0.0.1]:52407 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lxutr-00078E-6x
	for submit <at> debbugs.gnu.org; Mon, 28 Jun 2021 13:18:23 -0400
Received: from mail-lj1-f174.google.com ([209.85.208.174]:34623)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bisson.m@HIDDEN>) id 1lxutp-00077z-Jt
 for 49253 <at> debbugs.gnu.org; Mon, 28 Jun 2021 13:18:22 -0400
Received: by mail-lj1-f174.google.com with SMTP id p24so11574330ljj.1
 for <49253 <at> debbugs.gnu.org>; Mon, 28 Jun 2021 10:18:21 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=qi/iD+rcO2A5XfR1xwvgVe9DIVaw3xcTC9GR8u9ytD4=;
 b=f226wP8cBXzqRa/uKfny4NfLubQF0Kc2PBxeSjrCA3ODF2FHBQAeWbsCwBw90EzwC7
 8yyWqVhEMI+wnpVh5TUJYZNBfDTB3Kv18i1FMFeWFaVYmFVftEpo+vjBGpB9Pnu0wZIu
 FpknIYvLHqR6R+Vap04bRG86QRPihmKRii1Gkh02V9XBcwTmJtsOWpCQpWuS4zGF21tj
 1ya4AVKlqiOSW9XNSfimazfK9OtApnkpwCsI5aI9UHetYwa+oFjl9v/k46LHmKKHIT5u
 DKpWHavxtWO/3bv4lZk+TlFKjAMWtNYvkJkFkmN6KjUQiop7PfinuFUvYchLBoELnimE
 OJcA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=qi/iD+rcO2A5XfR1xwvgVe9DIVaw3xcTC9GR8u9ytD4=;
 b=QFdZW3p71EjwASbKyNF6+A4HzZ/BwaCBQH8HQbyLcTZtbCQ9HLTV9YIufhXc+G9NdW
 8nEIjTd788x/XDcjAr4o4HaIxYWFv5OCO30f/qSLOg+WJEmVGsM1ySgQjYuAvJQj0ayq
 2dRbRf0DAMQHqG0LRcZu3ZM9pvuRyohJ8tU69FxojvEk/xEsschss+2XTvFmFrSwuOxL
 dz66tmHmzdsbkIO/WzFW3CGVa0ioesdiW15JRo49XVuOPE9mDeN63o8iXVvXQGfLI9pA
 ud3wG2Hr9hsTP4HInQH61Uhtus12d1YClHDfrWTU5mdVVXwD3mZaGx/y3/NqAXX+ZxcJ
 MAaw==
X-Gm-Message-State: AOAM531FOWpvyY3CQ0rXZBikrcUdedfpy0n6jt8ve8Aw04WnAyp4b5iL
 lsvTr7M3gJ3MvAHxZzOg5pSC0E/6YpVPwdwzHM0=
X-Google-Smtp-Source: ABdhPJwF279LuN8XiyUx7aRsi5ZBCDPUZ9exCUfJ2FVfxAPW2+3H7+Q+4lrMUds6O+uZKGrZr2vUa33YSpTZTnTwKX4=
X-Received: by 2002:a2e:3310:: with SMTP id d16mr358718ljc.348.1624900695621; 
 Mon, 28 Jun 2021 10:18:15 -0700 (PDT)
MIME-Version: 1.0
References: <CAFbUcw+GZjmRXdZRQv8AMjyTaemRfMbbLKKGCSc8O8qJMZ0xgw@HIDDEN>
 <83zgvand0j.fsf@HIDDEN>
In-Reply-To: <83zgvand0j.fsf@HIDDEN>
From: Matt Bisson <bisson.m@HIDDEN>
Date: Mon, 28 Jun 2021 13:18:04 -0400
Message-ID: <CAFbUcwLUdPCe_6nM=pVSEkDsoQbKVHL8XmeTWN-3Z1H4h1mcRA@HIDDEN>
Subject: Re: bug#49253: 27.2;
 Emacs non-responsive when pasting into terminal-mode
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 49253
Cc: 49253 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This is the Mac Terminal application that comes out of the box with
MacOS.  It fully supports xterm-256color as the TERM type, and I can
actually paste just fine in other parts of Emacs.  Although I'm having
trouble getting to a Linux terminal emulator these days, I realized
that I do have a machine running WIndows.  I ran the Cygwin terminal
emulator, MinTTY, started (terminal, Cygwin -- i.e., not the Win32
native) Emacs, and it exhibits the same behavior.  Something more
fundamental seems to be going wrong.

On Mon, Jun 28, 2021 at 12:57 PM Eli Zaretskii <eliz@HIDDEN> wrote:
>
> > From: Matt Bisson <bisson.m@HIDDEN>
> > Date: Mon, 28 Jun 2021 10:28:59 -0400
> >
> > I have observed this behavior from MacOS, with an Emacs running either
> > locally on MacOS, or over SSH (running on Linux).  Without any
> > modifications, a -Q invocation causes "xterm--pasted-text: Failed
> > select: Invalid argument", but without -Q it simply hangs.  It can
> > attach emacsclient sessions, but they do not accept input.
>
> What kind of terminal emulator is actually being used, and does it
> support the xterm X selection protocol?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#49253; Package emacs. Full text available.

Message received at 49253 <at> debbugs.gnu.org:


Received: (at 49253) by debbugs.gnu.org; 28 Jun 2021 16:57:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 28 12:57:12 2021
Received: from localhost ([127.0.0.1]:52376 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lxuZM-0006Vl-JL
	for submit <at> debbugs.gnu.org; Mon, 28 Jun 2021 12:57:12 -0400
Received: from eggs.gnu.org ([209.51.188.92]:33950)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lxuZK-0006VW-Kk
 for 49253 <at> debbugs.gnu.org; Mon, 28 Jun 2021 12:57:11 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:45310)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lxuZF-0007M3-8c; Mon, 28 Jun 2021 12:57:05 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:2602
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1lxuZE-0007S3-8D; Mon, 28 Jun 2021 12:57:05 -0400
Date: Mon, 28 Jun 2021 19:57:00 +0300
Message-Id: <83zgvand0j.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Matt Bisson <bisson.m@HIDDEN>
In-Reply-To: <CAFbUcw+GZjmRXdZRQv8AMjyTaemRfMbbLKKGCSc8O8qJMZ0xgw@HIDDEN>
 (message from Matt Bisson on Mon, 28 Jun 2021 10:28:59 -0400)
Subject: Re: bug#49253: 27.2;
 Emacs non-responsive when pasting into terminal-mode
References: <CAFbUcw+GZjmRXdZRQv8AMjyTaemRfMbbLKKGCSc8O8qJMZ0xgw@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 49253
Cc: 49253 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Matt Bisson <bisson.m@HIDDEN>
> Date: Mon, 28 Jun 2021 10:28:59 -0400
> 
> I have observed this behavior from MacOS, with an Emacs running either
> locally on MacOS, or over SSH (running on Linux).  Without any
> modifications, a -Q invocation causes "xterm--pasted-text: Failed
> select: Invalid argument", but without -Q it simply hangs.  It can
> attach emacsclient sessions, but they do not accept input.

What kind of terminal emulator is actually being used, and does it
support the xterm X selection protocol?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#49253; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 Jun 2021 15:22:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 28 11:22:07 2021
Received: from localhost ([127.0.0.1]:52253 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lxt5K-0001hh-9y
	for submit <at> debbugs.gnu.org; Mon, 28 Jun 2021 11:22:07 -0400
Received: from lists.gnu.org ([209.51.188.17]:53996)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bisson.m@HIDDEN>) id 1lxsGA-0000Nx-VX
 for submit <at> debbugs.gnu.org; Mon, 28 Jun 2021 10:29:15 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:56258)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <bisson.m@HIDDEN>)
 id 1lxsGA-00022W-Mp
 for bug-gnu-emacs@HIDDEN; Mon, 28 Jun 2021 10:29:14 -0400
Received: from mail-lj1-x22d.google.com ([2a00:1450:4864:20::22d]:37722)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <bisson.m@HIDDEN>)
 id 1lxsG8-0004dE-Qz
 for bug-gnu-emacs@HIDDEN; Mon, 28 Jun 2021 10:29:14 -0400
Received: by mail-lj1-x22d.google.com with SMTP id k8so25993140lja.4
 for <bug-gnu-emacs@HIDDEN>; Mon, 28 Jun 2021 07:29:11 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=59vzM3X5Ao9ueh+egCpEBjG8mQjW4vxpuWqfuJb9V/8=;
 b=I5VEr5rR6lMlxok5YH5OGt4gONJ2v/AGfMJdxa9AUIKK0dDpJlzWTfS7hK9ZO0CmI5
 q7mC1J0ZrW49+8L0owr9JoZ7/P1gU5KPhwf1dtk/n/tzhWkkgjfvuwWEFdZoWPggGL2B
 mMkDBq+WMKI1bJeOWTtG5Oglj3JzWLKZrW2Nlpnt4UDI0H4VWp6lq12bNOhb0RvUxCkU
 LUYO5DkC+ZMWftorqU1v/r6b3dg3jdL2kXJcZ4U+ZAqHQTIr0wSP9Uwn5Uug8xesUrVJ
 wDBrojcMkByHamGI1ANrJAKkvgCnfKPQyNPPtHY1hGh9WapU/LNc5cg4Q46GQ9gz1dJi
 Mtmw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=59vzM3X5Ao9ueh+egCpEBjG8mQjW4vxpuWqfuJb9V/8=;
 b=hvf+ZYKce339SXmX62+qFUajdtSkVI/JCyARpAOl0gFsEp46YW4FNZLGpqsD0ADAZD
 hfNMBCFadjCMI+2U2Ls5X3eB06V0ba/TA0KKsNKT1MSSD2IBrRo6iQff8BfQpKhmo/6S
 0rCaDwBeSfU85l+AMQOlNEHddBNECQQBgegrggEhInqICpa1DQobyCYnPmZuVT8CNTrQ
 JGGYG9n6IL+IEgpIyUt6AFexBwZaVB5d/tkwYbYdaFil6SEdGgiDd16cIwnEU8zb9krR
 MWDQMqjXfBx40X6yIDOSXmR1H3QAgV7Pv8ah/QOZIS9BV3FShSyOpJO8ZzzR0l4I7bfM
 BoOQ==
X-Gm-Message-State: AOAM531J5PoJsE9byXQcQaZu/+7AwQOepL2lnhW6vnhY0jtjk1w/R/GS
 PHJVTaFgLifaoEXMWj4WsscTDndC7oV3NK1wuK9Jrh+K+PU=
X-Google-Smtp-Source: ABdhPJz7Mxuu3nMwCAjC/mJVhwzAD9EcuRTjCNeYLltd6NUujE1FO9y57l9QeEKvkDxeVYGb6dzd0zoSD4USYUm+Bt4=
X-Received: by 2002:a2e:2f14:: with SMTP id v20mr20834095ljv.363.1624890550724; 
 Mon, 28 Jun 2021 07:29:10 -0700 (PDT)
MIME-Version: 1.0
From: Matt Bisson <bisson.m@HIDDEN>
Date: Mon, 28 Jun 2021 10:28:59 -0400
Message-ID: <CAFbUcw+GZjmRXdZRQv8AMjyTaemRfMbbLKKGCSc8O8qJMZ0xgw@HIDDEN>
Subject: 27.2; Emacs non-responsive when pasting into terminal-mode
To: bug-gnu-emacs@HIDDEN
Content-Type: text/plain; charset="UTF-8"
Received-SPF: pass client-ip=2a00:1450:4864:20::22d;
 envelope-from=bisson.m@HIDDEN; helo=mail-lj1-x22d.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 28 Jun 2021 11:22:05 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

I have observed this behavior from MacOS, with an Emacs running either
locally on MacOS, or over SSH (running on Linux).  Without any
modifications, a -Q invocation causes "xterm--pasted-text: Failed
select: Invalid argument", but without -Q it simply hangs.  It can
attach emacsclient sessions, but they do not accept input.

1. Start "emacs -nw"
2. M-x term <ret>
3. In another application, copy some text into the clipboard, it
doesn't matter what.
4. Return to the Emacs session, and paste into the terminal (I used Command-V).
4a. Emacs no longer responds.  You have to kill (not kill -9, mind
you).  Running strace makes it seem like it's missing some pselect
call, but I haven't quite sniffed out the issue.
4b. With -Q, it  more helpfully prints "xterm--pasted-text: Failed
select: Invalid argument" and continues functioning, but this is
clearly not the desired behavior either.

I no longer have (direct) access to a Linux, XTerm, so I've been
running into the problem since Emacs 26.3 on Linux *through* the Mac
OS Terminal application.  Emacs doesn't have to be the version listed
below, in other words.

I will try to update this bug when I figure out what thing in my dot
file causes the hang instead of the delay+error message.  All I have
relating to terminal-mode is a hook that sets two key-bindings.  When
I manually add this in -Q, it still doesn't hang.  Perhaps it's some
other mode that loads outside my dot file.

This problem is actually super annoying :) as I will have hundreds of
files open, as well as a bunch of terminals in an emacs daemon
process, and accidentally I will forget and paste some text into the
session, at which point I will have to open a second terminal to this
remote host, find and kill the emacs process, then rearrange all my
things back to what I was doing.  It happens once a day at this
point...

In GNU Emacs 27.2 (build 1, x86_64-apple-darwin18.7.0, NS
appkit-1671.60 Version 10.14.6 (Build 18G95))
 of 2021-03-27 built on builder10-14.porkrind.org
Windowing system distributor 'Apple', version 10.3.2022
System Description:  macOS 11.4

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Making completion list...
Quit [2 times]
Making completion list...

Configured using:
 'configure --with-ns '--enable-locallisppath=/Library/Application
 Support/Emacs/${version}/site-lisp:/Library/Application
 Support/Emacs/site-lisp' --with-modules'

Configured features:
NOTIFY KQUEUE ACL GNUTLS LIBXML2 ZLIB TOOLKIT_SCROLL_BARS NS MODULES
THREADS JSON PDUMPER GMP

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Text

Minor modes in effect:
  global-whitespace-mode: t
  display-battery-mode: t
  show-paren-mode: t
  display-time-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
format-spec rfc822 mml easymenu mml-sec password-cache epa derived epg
epg-config gnus-util rmail rmail-loaddefs text-property-search time-date
subr-x seq gv mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader cl-loaddefs cl-lib sendmail rfc2047
rfc2045 ietf-drums mm-util mail-prsvr mail-utils disp-table whitespace
battery paren time byte-opt bytecomp byte-compile cconv advice tooltip
eldoc electric uniquify ediff-hook vc-hooks lisp-float-type mwheel
term/ns-win ns-win ucs-normalize mule-util term/common-win tool-bar dnd
fontset image regexp-opt fringe tabulated-list replace newcomment
text-mode elisp-mode lisp-mode prog-mode register page tab-bar menu-bar
rfn-eshadow isearch timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core term/tty-colors frame minibuffer cl-generic
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote threads kqueue cocoa ns
multi-tty make-network-process emacs)

Memory information:
((conses 16 48031 7233)
 (symbols 48 6582 1)
 (strings 32 17172 1862)
 (string-bytes 1 572362)
 (vectors 16 10205)
 (vector-slots 8 127980 10714)
 (floats 8 28 24)
 (intervals 56 200 0)
 (buffers 1000 12))




Acknowledgement sent to Matt Bisson <bisson.m@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#49253; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 16 Jul 2022 12:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.